diff --git a/src/john.c b/src/john.c
index 6dbdaf35f8..0792bba696 100644
--- a/src/john.c
+++ b/src/john.c
@@ -642,9 +642,10 @@ static void john_set_mpi(void)
 					    " %s\n", rec_name);
 			}
 		}
-		options.node_min += mpi_id * npf;
-		options.node_max = options.node_min + npf - 1;
 	}
+	options.node_min += mpi_id * npf;
+	options.node_max = options.node_min + npf - 1;
+
 	fflush(stdout);
 	fflush(stderr);
 }
